Subject: Re: bug#21750: show-paren-mode erroneously highlights the left margin

From: Eli Zaretskii <[email-masked]>
Date: Sat, 24 Oct 2015 23:22:36 +0300

> Date: Sat, 24 Oct 2015 23:07:03 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> I think this is a side effect of the general feature whereby an
> overlay string "inherits" the face of the surrounding buffer text.
> It doesn't matter whether the overlay string is displayed in the
> window's display margin or in the text area.

You can work around this in this case if you modify your face
customization as follows:

    (custom-set-faces
      '(linum ((t (:foreground "black" :background "white" :weight bold)))))

IOW, don't let the 'linum' face inherit the background color from the
surrounding text.